import os
import shutil, errno
from distutils.errors import DistutilsFileError
from distutils.dir_util import copy_tree
from pkg_resources import resource_filename

def copy(src, dst):
    try:
        copy_tree(src, dst)
    except DistutilsFileError: 
        shutil.copy(src, dst)

def get_path(path):
    return os.path.abspath(resource_filename('matchmaker', path))

def rep_mysty(file):

    styp=get_path('core')+"/my.sty"
    #styp="../core/my.sty"
    ln=len(styp)
    mt=ln//2
    fr=styp[:mt]
    ls=styp[mt:ln]
    in_file=open(file, 'r')
    ot_file=open('aux.dat', 'w')
    for line in in_file:
        if 'my.sty' in line:
            ot_file.write(" style= "+ "'" + fr +"'" + "\n")
            ot_file.write("'"+ls +"'"+" ;" + "\n")
        else:
            ot_file.write(line)
    ot_file.close()
    in_file.close()
    shutil.copyfile('aux.dat', file)
    os.remove('aux.dat') 


def dress_directory(dirpath):
    return os.path.join(dirpath,"")

def undress_directory(dirpath):
    return os.path.normpath(dirpath)
